
Auto Multiple Choice - Feature # 94: Editable header and footer

Status: Closed Priority: Normal
Author: Hossam Elgabarty Category: LaTeX
Created: 11/16/2012 Assignee:
Updated: 04/17/2013 Due date:
Description: It would be nice to patch @automultiplechoice.sty@ to have the possibility of editing the header and footer via 

e.g. custom commands.
Currently any attempt to edit the header and/or footer overrides the ones created by AMC.

History
01/19/2013 06:20 pm - Pieter  Van den Hombergh
Hossam Elgabarty wrote:
> It would be nice to patch @automultiplechoice.sty@ to have the possibility of editing the header and footer via e.g. custom commands.
> Currently any attempt to edit the header and/or footer overrides the ones created by AMC.

I do have a foot implementation, using the fancyhdr package. Op until now I avoided the head, but that is possible to, but you must avoid the 
identification boxes at the top.
I create a centre element in the foot like so: 
<pre>
  \cfoot[\textbf{\examcode}{} \surname,\name{} (\id), date   \examdate%
  ]{\textbf{\examcode}{} \surname,\name{} (\id) date \examdate}
</pre>

The fancyhdr package is already loaded by amc itselves.
This is sufficient for my purpose.

01/20/2013 03:45 pm - Alexis Bienvenüe
- % Done changed from 0 to 100

- Status changed from New to Resolved

You can use @\fancyfoot[C]@ to customize the footer easily. From revision r1295, you can also customize AMC header - see [[Custom header and 
footer]].

01/20/2013 03:51 pm - Alexis Bienvenüe
- Target version set to 1.2.0

01/22/2013 11:32 am - Pieter  Van den Hombergh
Maybe you should add some advise to the formatting on the footer (or header).
I noticed that the footer could easily be put in the same area in the foot, which the identification binary boxes take in the head, all in relation to the 
circles to position the paper during scanning. This would make it hard for your software to detect if the form has been scanned up side down and could 
there for introduce scanning problems that could be avoided without a footer (in the centre as I currently do).

I noticed this when looking at some intentionally unrecognised scans through the unrecognised scans and comparing original scan and preprocessed 
windows.
There one can see that the software also makes an attempt to find the binary boxes at the bottom, which is then of course off limits for user defined 
headers (or footers).
01/22/2013 11:47 am - Alexis Bienvenüe
I'm sorry I'm afraid I don't understand exactly what you mean. Can you provide a short sample of a subject that will cause some problems?
> the software also makes an attempt to find the binary boxes at the bottom
In the following way: AMC first looks at binary boxes at the same place as on the subject, and then, it looks at binary boxes at the place on a subject 
that is rotated to 180 degrees.

01/24/2013 09:57 am - Pieter  Van den Hombergh
- File forbidden.png added

I have no sample where something went wrong.
The assumptions I gave above are from the observation that your scanning software tries to match the binary sheet-identification boxes
at both top and bottom of the paper, although they are only printed at the top. You  software probably tries to recognise papers that
have been scanned 'upside down', a necessary feature, and would probably fail if someone prints a footer in the area that the software
considers as the binary identification area for the 'upside down' case.

I created a small drawing which might help the explanation above a bit more.
!forbidden.png!

By the way, how do I link to uploaded pictures in this wiki?

01/24/2013 02:05 pm - Alexis Bienvenüe
Thanks: I see what you mean now.
I think this is unlikely to be a problem, since:
* for ID detection, AMC makes a pre-processing on the scan, trying to remove pencil drawings, printed characters, etc.
* a false ID detection would be done only if the IDs corresponds to an actual page. That means that the IDs computed from the things you wrote in the 
footer must give an existing student number, an existing page number, and *the exact corresponding check number* (the thrid number in the 
@+1/12/49+@ format).

However, this problem can (hardly ever) arise, so the advice is to avoid including images (that won't be erased with pre-processing) in the footer.

01/30/2013 04:27 pm - Pieter  Van den Hombergh
Excellent that your software is robust in this case.

04/17/2013 10:34 pm - Alexis Bienvenüe
- Status changed from Resolved to Closed

Files
forbidden.png 80.9 kB 01/24/2013 Pieter  Van den Hombergh

07/06/2025 2/2


